package org.bench4q.share.models.monitor;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import org.bench4q.share.models.master.statistics.SampleModel;

@XmlRootElement
public class ProcessModel extends SampleModel {
	private List<ProcessModelChild> processModelList;
	private long[] processPids;
	private List<String> processNameList;
	private int size;

	@XmlElement
	public long[] getProcessPids() {
		return processPids;
	}

	public void setProcessPids(long[] processPids) {
		this.processPids = processPids;
	}

	@XmlElementWrapper(name = "processNameList")
	@XmlElement(name = "processName", type = String.class)
	public List<String> getProcessNameList() {
		return processNameList;
	}

	public void setProcessNameList(List<String> processNameList) {
		this.processNameList = processNameList;
	}

	@XmlElement
	public int getSize() {
		return size;
	}

	public void setSize(int size) {
		this.size = size;
	}

	@XmlElementWrapper()
	@XmlElement(type = ProcessModelChild.class)
	public List<ProcessModelChild> getProcessModelList() {
		return processModelList;
	}

	public void setProcessModelList(List<ProcessModelChild> processModelList) {
		this.processModelList = processModelList;
	}

}